<?php
namespace Service\OAuth;

use \Zeedhi\Framework\Security\OAuth\Service;

class ServiceImpl implements Service{

    private $clientId;
    private $secretId;
    private $name;
    private $nrOrg;

    public function __construct($name, $clientId, $clientSecret, $nrOrg) {
        $this->clientId = $clientId;
        $this->secretId = $clientSecret;
        $this->name = $name;
        $this->nrOrg = $nrOrg;
    }

    public function getNrOrg()
    {
        return $this->nrOrg;
    }

    public function getClientId() {
        return $this->clientId;
    }

    public function getClientSecret() {
        return $this->secretId;
    }

    public function setName($name) {
        $this->name = $name;
    }

    public function getName() {
        return $this->name;
    }
} 